**Source URL:** https://limited.veevavault.dev/sitevault/vault-api/api-reference/24.3/documents/document-events/create-document-event.md

# Create Document Event



<Endpoint path="/api/{version}/objects/documents/{doc_id}/versions/{major_version}/{minor_version}/events" method="POST"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Content-Type` | `application/x-www-form-urlencoded` |
| `Accept` | `application/json` (default) or `application/xml` |
</FieldTable>

## URI Path Parameters {#uri-path-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `{doc_id}` | The document `id` field value. |
| `{major_version}` | The document `major_version_number__v` field value. |
| `{minor_version}` | The document `minor_version_number__v` field value. |
</FieldTable>

## Body Parameters {#body-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `event_type__v` | The event type. For example, `distribution__v`. |
| `event_subtype__v` | The event subtype. For example, `approved_email__v`. |
| `classification__v` | The event classification. The available classifications vary based on the `event_subtype__v`. |
| `external_id__v` | Set an external ID value on the document event. This parameter may be required depending on the document type, subtype, and classification. |
</FieldTable>
Additional fields may be required depending on the document event type, subtype, and classification. Use the [Retrieve Document Event Subtype Metadata](/vault-api/api-reference/24.3/documents/document-events/retrieve-document-event-subtype-metadata) endpoint to retrieve metadata for the required fields.

## Request {#request}

<CodeExample title="">
```
curl -X POST -H "Authorization: {SESSION_ID}" \
-H "Content-Type: application/x-www-form-urlencoded" \
-d "event_type__v=distribution__v" \
-d "event_subtype__v=approved_email__v" \
-d "classification__v=download__v" \
-d "external_id__v=1234" \
-d "user_email__v=vern@veeva.com" \
https://myvault.veevavault.com/api/v15.0/objects/documents/72/versions/0/2/events

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
    "responseStatus": "SUCCESS"
}

```
</CodeExample>

## Response Details {#response-details}

On `SUCCESS`, Vault logs the document event.



---

**Previous:** [Retrieve Document Event Subtype Metadata](/sitevault/vault-api/api-reference/24.3/documents/document-events/retrieve-document-event-subtype-metadata)  
**Next:** [Retrieve Document Events](/sitevault/vault-api/api-reference/24.3/documents/document-events/retrieve-document-events)